org.apache.felix.ipojo.extender.internal.processor

## Class QueuingActivationProcessor

- java.lang.Object
- - org.apache.felix.ipojo.extender.internal.processor.ForwardingBundleProcessor
  - - org.apache.felix.ipojo.extender.internal.processor.QueuingActivationProcessor

All Implemented Interfaces:
  BundleProcessor, Lifecycle

    public class QueuingActivationProcessor
    extends ForwardingBundleProcessor

A bundle processor submitting the activating job to the queue service. The submitted job relies on a delegated bundle processor.

### Field Summary

Fields
`static java.lang.String` `BUNDLE_ACTIVATION_JOB_TYPE` Identify the kind of job submitted to the QueueService.

### Constructor Summary

Constructors
Constructor and Description
`QueuingActivationProcessor(BundleProcessor delegate, QueueService queueService)` Creates an instance of the queuing bundle processor

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `activate(org.osgi.framework.Bundle bundle)` A bundle is starting.
`protected BundleProcessor` `delegate()` Implementation must implement this method to retrieve the wrapped bundle processor.

### Methods inherited from class org.apache.felix.ipojo.extender.internal.processor.ForwardingBundleProcessor

`deactivate, start, stop`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### BUNDLE_ACTIVATION_JOB_TYPE

    public static final java.lang.String BUNDLE_ACTIVATION_JOB_TYPE

Identify the kind of job submitted to the QueueService.

See Also:
  Constant Field Values

### Constructor Detail

#### QueuingActivationProcessor

    public QueuingActivationProcessor(BundleProcessor delegate,
                                      QueueService queueService)

Creates an instance of the queuing bundle processor

Parameters:
  `delegate` - the bundle processor used by the submitted job
  `queueService` - the used queue service

### Method Detail

#### delegate

    protected BundleProcessor delegate()

Description copied from class: `ForwardingBundleProcessor`
Implementation must implement this method to retrieve the wrapped bundle processor.

Specified by:
  `delegate` in class `ForwardingBundleProcessor`
Returns:
  the wrapped bundle processor on which we delegate all calls.

#### activate

    public void activate(org.osgi.framework.Bundle bundle)

A bundle is starting. The processing of the bundle is wrapped in a job submitted to the queue service.

Specified by:
  `activate` in interface `BundleProcessor`
Overrides:
  `activate` in class `ForwardingBundleProcessor`
Parameters:
  `bundle` - the bundle